Changeset 945


Ignore:
Timestamp:
Feb 25, 2008 8:59:46 AM (12 years ago)
Author:
andreasw
Message:

first version of ThirdParty?/HSL that can be used to build a loadable HSL library that can be included from Ipopt at runtime. It is activated with the --enable-loadable-library flag. It should work on everything where BuildTools? can make shared libraries, as well on Cygwin with GCC and MSVC and Intel icl. Will now try it on MinGW

Location:
ThirdParty/HSL/trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/HSL/trunk/Makefile.am

    r523 r945  
    1 # Copyright (C) 2003, 2007 International Business Machines and others
     1# Copyright (C) 2003, 2008 International Business Machines and others
    22# All Rights Reserved.
    33# This file is distributed under the Common Public License.
     
    3030endif
    3131
     32lib_LTLIBRARIES =
     33if INSTALL_LOADABLE_LIBRARY
     34if EXTRA_SHARED_COMMAND
     35else
     36  lib_LTLIBRARIES += libhsl.la
     37  libhsl_la_SOURCES = nodist_libcoinhsl_la_SOURCES
     38endif
     39endif
     40
    3241libcoinhsl_la_LDFLAGS = $(LT_LDFLAGS)
     42
     43#############################################################################
     44#  Generating a shared library for delay loading
     45
     46if EXTRA_SHARED_COMMAND
     47
     48$(HSL_SHARED_LIB): $(noinst_LTLIBRARIES) $(DEFFILE)
     49        bla=; \
     50        for i in $(nodist_libcoinhsl_la_SOURCES); do \
     51          case $$i in \
     52            *.f) \
     53              obj=`echo $$i| sed -e 's|\(.*\).[cf]|.libs/\1.$(OBJEXT)|g'` ;\
     54              if test -r $$obj; then \
     55                bla="$$bla $$obj" ;\
     56              else \
     57                bla="$$bla `echo $$i| sed -e 's|\(.*\).[cf]|\1.$(OBJEXT)|g'`" ;\
     58              fi ;\
     59              ;; \
     60          esac ;\
     61        done ;\
     62        $(F77_SHARED_CMD) $$bla -o $(HSL_SHARED_LIB) $(F77_DLL_LINKFLAGS)
     63
     64if NEED_DEFFILE
     65$(DEFFILE): config.status
     66        echo 'LIBRARY LIBHSL' > $(DEFFILE)
     67        echo 'EXPORTS' >> $(DEFFILE)
     68        for i in $(EXPORT_SYMBOLS); do \
     69          echo "  $$i" >> $(DEFFILE); \
     70        done
     71endif
     72
     73install-exec-local: $(HSL_SHARED_LIB)
     74        test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
     75        $(libLTLIBRARIES_INSTALL) $(HSL_SHARED_LIB) "$(DESTDIR)$(libdir)/$(HSL_SHARED_LIB)"
     76
     77CLEANFILES = $(HSL_SHARED_LIB) $(DEFFILE)
     78
     79uninstall-local:
     80        rm -f "$(DESTDIR)$(libdir)/$(HSL_SHARED_LIB)"
     81endif
    3382
    3483########################################################################
  • ThirdParty/HSL/trunk/Makefile.in

    r904 r945  
    1515@SET_MAKE@
    1616
    17 # Copyright (C) 2003, 2007 International Business Machines and others
     17# Copyright (C) 2003, 2008 International Business Machines and others
    1818# All Rights Reserved.
    1919# This file is distributed under the Common Public License.
     
    5757@COIN_HAS_MA28_TRUE@    mc21ad.f mc22ad.f mc23ad.f mc24ad.f
    5858
     59@EXTRA_SHARED_COMMAND_FALSE@@INSTALL_LOADABLE_LIBRARY_TRUE@am__append_5 = libhsl.la
    5960DIST_COMMON = $(am__configure_deps) \
    6061        $(srcdir)/../../BuildTools/Makemain.inc \
     
    6465        $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
    6566        $(top_srcdir)/configure
    66 @HAVE_EXTERNALS_TRUE@am__append_5 = Externals
    67 @HAVE_EXTERNALS_TRUE@am__append_6 = .Externals-stamp
     67@HAVE_EXTERNALS_TRUE@am__append_6 = Externals
     68@HAVE_EXTERNALS_TRUE@am__append_7 = .Externals-stamp
    6869subdir = .
    6970ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     
    7677mkinstalldirs = $(install_sh) -d
    7778CONFIG_CLEAN_FILES =
    78 LTLIBRARIES = $(noinst_LTLIBRARIES)
     79am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
     80am__vpath_adj = case $$p in \
     81    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     82    *) f=$$p;; \
     83  esac;
     84am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
     85am__installdirs = "$(DESTDIR)$(libdir)"
     86libLTLIBRARIES_INSTALL = $(INSTALL)
     87LTLIBRARIES = $(lib_LTLIBRARIES) $(noinst_LTLIBRARIES)
    7988libcoinhsl_la_LIBADD =
    8089@COIN_HAS_MA27_TRUE@am__objects_1 = ma27ad.lo
     
    8796        $(am__objects_2) $(am__objects_3) $(am__objects_4)
    8897libcoinhsl_la_OBJECTS = $(nodist_libcoinhsl_la_OBJECTS)
     98libhsl_la_LIBADD =
     99am__libhsl_la_SOURCES_DIST = nodist_libcoinhsl_la_SOURCES
     100am_libhsl_la_OBJECTS =
     101libhsl_la_OBJECTS = $(am_libhsl_la_OBJECTS)
     102@EXTRA_SHARED_COMMAND_FALSE@@INSTALL_LOADABLE_LIBRARY_TRUE@am_libhsl_la_rpath = -rpath \
     103@EXTRA_SHARED_COMMAND_FALSE@@INSTALL_LOADABLE_LIBRARY_TRUE@     $(libdir)
    89104DEFAULT_INCLUDES = -I. -I$(srcdir)
    90105depcomp = $(SHELL) $(top_srcdir)/../../depcomp
     
    104119F77LINK = $(LIBTOOL) --tag=F77 --mode=link $(F77LD) $(AM_FFLAGS) \
    105120        $(FFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
    106 SOURCES = $(nodist_libcoinhsl_la_SOURCES)
    107 DIST_SOURCES =
     121SOURCES = $(nodist_libcoinhsl_la_SOURCES) $(libhsl_la_SOURCES)
     122DIST_SOURCES = $(am__libhsl_la_SOURCES_DIST)
    108123ETAGS = etags
    109124CTAGS = ctags
     
    156171DBG_CFLAGS = @DBG_CFLAGS@
    157172DBG_FFLAGS = @DBG_FFLAGS@
     173DEFFILE = @DEFFILE@
    158174DEFS = @DEFS@
    159175DEPDIR = @DEPDIR@
     
    164180EGREP = @EGREP@
    165181EXEEXT = @EXEEXT@
     182EXPORT_SYMBOLS = @EXPORT_SYMBOLS@
     183EXTRA_SHARED_COMMAND_FALSE = @EXTRA_SHARED_COMMAND_FALSE@
     184EXTRA_SHARED_COMMAND_TRUE = @EXTRA_SHARED_COMMAND_TRUE@
    166185F77 = @F77@
     186F77_DLL_LINKFLAGS = @F77_DLL_LINKFLAGS@
     187F77_SHARED_CMD = @F77_SHARED_CMD@
    167188FADDLIBS = @FADDLIBS@
    168189FFLAGS = @FFLAGS@
    169190HAVE_EXTERNALS_FALSE = @HAVE_EXTERNALS_FALSE@
    170191HAVE_EXTERNALS_TRUE = @HAVE_EXTERNALS_TRUE@
     192HSL_SHARED_LIB = @HSL_SHARED_LIB@
    171193INSTALL_DATA = @INSTALL_DATA@
     194INSTALL_LOADABLE_LIBRARY_FALSE = @INSTALL_LOADABLE_LIBRARY_FALSE@
     195INSTALL_LOADABLE_LIBRARY_TRUE = @INSTALL_LOADABLE_LIBRARY_TRUE@
    172196INSTALL_PROGRAM = @INSTALL_PROGRAM@
    173197INSTALL_SCRIPT = @INSTALL_SCRIPT@
     
    188212MPICC = @MPICC@
    189213MPIF77 = @MPIF77@
     214NEED_DEFFILE_FALSE = @NEED_DEFFILE_FALSE@
     215NEED_DEFFILE_TRUE = @NEED_DEFFILE_TRUE@
    190216OBJEXT = @OBJEXT@
    191217OPT_CFLAGS = @OPT_CFLAGS@
     
    259285target_alias = @target_alias@
    260286AUTOMAKE_OPTIONS = foreign
    261 EXTRA_DIST = INSTALL.HSL $(am__append_5)
     287EXTRA_DIST = INSTALL.HSL $(am__append_6)
    262288noinst_LTLIBRARIES = libcoinhsl.la
    263289nodist_libcoinhsl_la_SOURCES = dummy.c $(am__append_1) $(am__append_2) \
    264290        $(am__append_3) $(am__append_4)
     291lib_LTLIBRARIES = $(am__append_5)
     292@EXTRA_SHARED_COMMAND_FALSE@@INSTALL_LOADABLE_LIBRARY_TRUE@libhsl_la_SOURCES = nodist_libcoinhsl_la_SOURCES
    265293libcoinhsl_la_LDFLAGS = $(LT_LDFLAGS)
     294@EXTRA_SHARED_COMMAND_TRUE@CLEANFILES = $(HSL_SHARED_LIB) $(DEFFILE)
    266295
    267296########################################################################
     
    270299
    271300# Files that are generated and should be cleaned with make distclean
    272 DISTCLEANFILES = $(am__append_6) $(VPATH_DISTCLEANFILES)
     301DISTCLEANFILES = $(am__append_7) $(VPATH_DISTCLEANFILES)
    273302DocFiles = README AUTHORS LICENSE
    274303DocInstallDir = $(prefix)/share/doc/coin/$(PACKAGE_NAME)
     
    310339$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
    311340        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
     341install-libLTLIBRARIES: $(lib_LTLIBRARIES)
     342        @$(NORMAL_INSTALL)
     343        test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
     344        @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
     345          if test -f $$p; then \
     346            f=$(am__strip_dir) \
     347            echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
     348            $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
     349          else :; fi; \
     350        done
     351
     352uninstall-libLTLIBRARIES:
     353        @$(NORMAL_UNINSTALL)
     354        @set -x; list='$(lib_LTLIBRARIES)'; for p in $$list; do \
     355          p=$(am__strip_dir) \
     356          echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
     357          $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
     358        done
     359
     360clean-libLTLIBRARIES:
     361        -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
     362        @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
     363          dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
     364          test "$$dir" != "$$p" || dir=.; \
     365          echo "rm -f \"$${dir}/so_locations\""; \
     366          rm -f "$${dir}/so_locations"; \
     367        done
    312368
    313369clean-noinstLTLIBRARIES:
     
    321377libcoinhsl.la: $(libcoinhsl_la_OBJECTS) $(libcoinhsl_la_DEPENDENCIES)
    322378        $(F77LINK)  $(libcoinhsl_la_LDFLAGS) $(libcoinhsl_la_OBJECTS) $(libcoinhsl_la_LIBADD) $(LIBS)
     379libhsl.la: $(libhsl_la_OBJECTS) $(libhsl_la_DEPENDENCIES)
     380        $(LINK) $(am_libhsl_la_rpath) $(libhsl_la_LDFLAGS) $(libhsl_la_OBJECTS) $(libhsl_la_LIBADD) $(LIBS)
    323381
    324382mostlyclean-compile:
     
    549607all-am: Makefile $(LTLIBRARIES)
    550608installdirs:
     609        for dir in "$(DESTDIR)$(libdir)"; do \
     610          test -z "$$dir" || $(mkdir_p) "$$dir"; \
     611        done
    551612install: install-am
    552613install-exec: install-exec-am
     
    566627
    567628clean-generic:
     629        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
    568630
    569631distclean-generic:
     
    574636        @echo "This command is intended for maintainers to use"
    575637        @echo "it deletes files that may require special tools to rebuild."
     638@EXTRA_SHARED_COMMAND_FALSE@uninstall-local:
     639@EXTRA_SHARED_COMMAND_FALSE@install-exec-local:
    576640clean: clean-am
    577641
    578 clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
    579         mostlyclean-am
     642clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
     643        clean-noinstLTLIBRARIES mostlyclean-am
    580644
    581645distclean: distclean-am
     
    598662install-data-am:
    599663
    600 install-exec-am:
     664install-exec-am: install-exec-local install-libLTLIBRARIES
    601665
    602666install-info: install-info-am
     
    626690ps-am:
    627691
    628 uninstall-am: uninstall-info-am
     692uninstall-am: uninstall-info-am uninstall-libLTLIBRARIES \
     693        uninstall-local
    629694
    630695.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
    631         clean-generic clean-libtool clean-noinstLTLIBRARIES ctags dist \
    632         dist-all dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip \
    633         distcheck distclean distclean-compile distclean-generic \
    634         distclean-libtool distclean-tags distcleancheck distdir \
    635         distuninstallcheck dvi dvi-am html html-am info info-am \
    636         install install-am install-data install-data-am install-exec \
    637         install-exec-am install-info install-info-am install-man \
    638         install-strip installcheck installcheck-am installdirs \
    639         maintainer-clean maintainer-clean-generic mostlyclean \
    640         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
    641         pdf pdf-am ps ps-am tags uninstall uninstall-am \
    642         uninstall-info-am
    643 
     696        clean-generic clean-libLTLIBRARIES clean-libtool \
     697        clean-noinstLTLIBRARIES ctags dist dist-all dist-bzip2 \
     698        dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \
     699        distclean-compile distclean-generic distclean-libtool \
     700        distclean-tags distcleancheck distdir distuninstallcheck dvi \
     701        dvi-am html html-am info info-am install install-am \
     702        install-data install-data-am install-exec install-exec-am \
     703        install-exec-local install-info install-info-am \
     704        install-libLTLIBRARIES install-man install-strip installcheck \
     705        installcheck-am installdirs maintainer-clean \
     706        maintainer-clean-generic mostlyclean mostlyclean-compile \
     707        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
     708        tags uninstall uninstall-am uninstall-info-am \
     709        uninstall-libLTLIBRARIES uninstall-local
     710
     711
     712#############################################################################
     713#  Generating a shared library for delay loading
     714
     715@EXTRA_SHARED_COMMAND_TRUE@$(HSL_SHARED_LIB): $(noinst_LTLIBRARIES) $(DEFFILE)
     716@EXTRA_SHARED_COMMAND_TRUE@     bla=; \
     717@EXTRA_SHARED_COMMAND_TRUE@     for i in $(nodist_libcoinhsl_la_SOURCES); do \
     718@EXTRA_SHARED_COMMAND_TRUE@       case $$i in \
     719@EXTRA_SHARED_COMMAND_TRUE@         *.f) \
     720@EXTRA_SHARED_COMMAND_TRUE@           obj=`echo $$i| sed -e 's|\(.*\).[cf]|.libs/\1.$(OBJEXT)|g'` ;\
     721@EXTRA_SHARED_COMMAND_TRUE@           if test -r $$obj; then \
     722@EXTRA_SHARED_COMMAND_TRUE@             bla="$$bla $$obj" ;\
     723@EXTRA_SHARED_COMMAND_TRUE@           else \
     724@EXTRA_SHARED_COMMAND_TRUE@             bla="$$bla `echo $$i| sed -e 's|\(.*\).[cf]|\1.$(OBJEXT)|g'`" ;\
     725@EXTRA_SHARED_COMMAND_TRUE@           fi ;\
     726@EXTRA_SHARED_COMMAND_TRUE@           ;; \
     727@EXTRA_SHARED_COMMAND_TRUE@       esac ;\
     728@EXTRA_SHARED_COMMAND_TRUE@     done ;\
     729@EXTRA_SHARED_COMMAND_TRUE@     $(F77_SHARED_CMD) $$bla -o $(HSL_SHARED_LIB) $(F77_DLL_LINKFLAGS)
     730
     731@EXTRA_SHARED_COMMAND_TRUE@@NEED_DEFFILE_TRUE@$(DEFFILE): config.status
     732@EXTRA_SHARED_COMMAND_TRUE@@NEED_DEFFILE_TRUE@  echo 'LIBRARY LIBHSL' > $(DEFFILE)
     733@EXTRA_SHARED_COMMAND_TRUE@@NEED_DEFFILE_TRUE@  echo 'EXPORTS' >> $(DEFFILE)
     734@EXTRA_SHARED_COMMAND_TRUE@@NEED_DEFFILE_TRUE@  for i in $(EXPORT_SYMBOLS); do \
     735@EXTRA_SHARED_COMMAND_TRUE@@NEED_DEFFILE_TRUE@    echo "  $$i" >> $(DEFFILE); \
     736@EXTRA_SHARED_COMMAND_TRUE@@NEED_DEFFILE_TRUE@  done
     737
     738@EXTRA_SHARED_COMMAND_TRUE@install-exec-local: $(HSL_SHARED_LIB)
     739@EXTRA_SHARED_COMMAND_TRUE@     test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
     740@EXTRA_SHARED_COMMAND_TRUE@     $(libLTLIBRARIES_INSTALL) $(HSL_SHARED_LIB) "$(DESTDIR)$(libdir)/$(HSL_SHARED_LIB)"
     741
     742@EXTRA_SHARED_COMMAND_TRUE@uninstall-local:
     743@EXTRA_SHARED_COMMAND_TRUE@     rm -f "$(DESTDIR)$(libdir)/$(HSL_SHARED_LIB)"
    644744
    645745install-doc: $(DocFiles)
  • ThirdParty/HSL/trunk/configure

    r904 r945  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE COIN_HAS_MA28_TRUE COIN_HAS_MA28_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_MA27_TRUE COIN_HAS_MA27_FALSE COIN_HAS_MC19_TRUE COIN_HAS_MC19_FALSE COIN_HAS_MA57_TRUE COIN_HAS_MA57_FALSE COIN_HAS_MA28_TRUE COIN_HAS_MA28_FALSE F77_SHARED_CMD F77_DLL_LINKFLAGS HSL_SHARED_LIB EXPORT_SYMBOLS DEFFILE INSTALL_LOADABLE_LIBRARY_TRUE INSTALL_LOADABLE_LIBRARY_FALSE NEED_DEFFILE_TRUE NEED_DEFFILE_FALSE EXTRA_SHARED_COMMAND_TRUE EXTRA_SHARED_COMMAND_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10711071  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10721072  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
     1073  --enable-loadable-library
     1074                          compile stand-alone shared library for delayed
     1075                          loading
    10731076  --enable-debug          compile all projects with debug options tests
    10741077  --enable-debug-hsl compile this project (HSL) with debug options
     
    16821685
    16831686
    1684 #turn off warnings and pedantic mode since they could make trouble on some platforms,
    1685 #and we couldn't fix them anyway
     1687# turn off warnings and pedantic mode since they could make trouble on some platforms,
     1688# and we couldn't fix them anyway
    16861689coin_skip_warn_fflags=yes
     1690
     1691# provide flag to allow compilation of a stand-alone shared library
     1692# Check whether --enable-loadable-library or --disable-loadable-library was given.
     1693if test "${enable_loadable_library+set}" = set; then
     1694  enableval="$enable_loadable_library"
     1695
     1696fi;
    16871697
    16881698# Check if user wants to produce debugging code
     
    32803290
    32813291# Provide some information about the compiler.
    3282 echo "$as_me:3282:" \
     3292echo "$as_me:3292:" \
    32833293     "checking for Fortran 77 compiler version" >&5
    32843294ac_compiler=`set X $ac_compile; echo $2`
     
    38143824
    38153825# Initialize autotools
     3826
     3827if test x$enable_loadable_library = xyes; then
     3828  flag=force_shared
     3829fi
    38163830{
    38173831
     
    38203834# START
    38213835
    3822 # On Cygwin and AIX, building DLLs doesn't work
    3823 case $build in
    3824   *-cygwin*)
    3825     coin_disable_shared=yes
    3826     platform=Cygwin
    3827   ;;
    3828   *-aix*)
    3829     coin_disable_shared=yes
    3830     platform=AIX
    3831   ;;
    3832   *-mingw*)
    3833     coin_disable_shared=yes
    3834     platform="Msys"
    3835 #    case "$CXX" in
    3836 #      cl*)
    3837 #        coin_disable_shared=yes
    3838 #        platform="Msys with cl"
    3839 #    ;;
    3840 #    esac
    3841   ;;
    3842 esac
     3836# Test if force_shared has been set
     3837if test "x$flag" = xforce_shared; then
     3838  if test x$enable_shared = xno; then
     3839    { { echo "$as_me:$LINENO: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&5
     3840echo "$as_me: error: Shared libraries are disabled by user, but this is not feasible with the given options" >&2;}
     3841   { (exit 1); exit 1; }; }
     3842  fi
     3843  enable_shared=yes;
     3844else
     3845  # On Cygwin and AIX, building DLLs doesn't work
     3846  case $build in
     3847    *-cygwin*)
     3848      coin_disable_shared=yes
     3849      platform=Cygwin
     3850    ;;
     3851    *-aix*)
     3852      coin_disable_shared=yes
     3853      platform=AIX
     3854    ;;
     3855    *-mingw*)
     3856      coin_disable_shared=yes
     3857      platform="Msys"
     3858#      case "$CXX" in
     3859#        cl*)
     3860#          coin_disable_shared=yes
     3861#          platform="Msys with cl"
     3862#      ;;
     3863#      esac
     3864    ;;
     3865  esac
     3866fi
    38433867if test x"$coin_disable_shared" = xyes; then
    38443868  if test x"$enable_shared" = xyes; then
     
    54215445*-*-irix6*)
    54225446  # Find out which ABI we are using.
    5423   echo '#line 5423 "configure"' > conftest.$ac_ext
     5447  echo '#line 5447 "configure"' > conftest.$ac_ext
    54245448  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    54255449  (eval $ac_compile) 2>&5
     
    78507874   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78517875   -e 's:$: $lt_compiler_flag:'`
    7852    (eval echo "\"\$as_me:7852: $lt_compile\"" >&5)
     7876   (eval echo "\"\$as_me:7876: $lt_compile\"" >&5)
    78537877   (eval "$lt_compile" 2>conftest.err)
    78547878   ac_status=$?
    78557879   cat conftest.err >&5
    7856    echo "$as_me:7856: \$? = $ac_status" >&5
     7880   echo "$as_me:7880: \$? = $ac_status" >&5
    78577881   if (exit $ac_status) && test -s "$ac_outfile"; then
    78587882     # The compiler can only warn and ignore the option if not recognized
     
    81188142   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81198143   -e 's:$: $lt_compiler_flag:'`
    8120    (eval echo "\"\$as_me:8120: $lt_compile\"" >&5)
     8144   (eval echo "\"\$as_me:8144: $lt_compile\"" >&5)
    81218145   (eval "$lt_compile" 2>conftest.err)
    81228146   ac_status=$?
    81238147   cat conftest.err >&5
    8124    echo "$as_me:8124: \$? = $ac_status" >&5
     8148   echo "$as_me:8148: \$? = $ac_status" >&5
    81258149   if (exit $ac_status) && test -s "$ac_outfile"; then
    81268150     # The compiler can only warn and ignore the option if not recognized
     
    82228246   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82238247   -e 's:$: $lt_compiler_flag:'`
    8224    (eval echo "\"\$as_me:8224: $lt_compile\"" >&5)
     8248   (eval echo "\"\$as_me:8248: $lt_compile\"" >&5)
    82258249   (eval "$lt_compile" 2>out/conftest.err)
    82268250   ac_status=$?
    82278251   cat out/conftest.err >&5
    8228    echo "$as_me:8228: \$? = $ac_status" >&5
     8252   echo "$as_me:8252: \$? = $ac_status" >&5
    82298253   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82308254   then
     
    1056710591  lt_status=$lt_dlunknown
    1056810592  cat > conftest.$ac_ext <<EOF
    10569 #line 10569 "configure"
     10593#line 10593 "configure"
    1057010594#include "confdefs.h"
    1057110595
     
    1066710691  lt_status=$lt_dlunknown
    1066810692  cat > conftest.$ac_ext <<EOF
    10669 #line 10669 "configure"
     10693#line 10693 "configure"
    1067010694#include "confdefs.h"
    1067110695
     
    1301113035   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1301213036   -e 's:$: $lt_compiler_flag:'`
    13013    (eval echo "\"\$as_me:13013: $lt_compile\"" >&5)
     13037   (eval echo "\"\$as_me:13037: $lt_compile\"" >&5)
    1301413038   (eval "$lt_compile" 2>conftest.err)
    1301513039   ac_status=$?
    1301613040   cat conftest.err >&5
    13017    echo "$as_me:13017: \$? = $ac_status" >&5
     13041   echo "$as_me:13041: \$? = $ac_status" >&5
    1301813042   if (exit $ac_status) && test -s "$ac_outfile"; then
    1301913043     # The compiler can only warn and ignore the option if not recognized
     
    1311513139   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1311613140   -e 's:$: $lt_compiler_flag:'`
    13117    (eval echo "\"\$as_me:13117: $lt_compile\"" >&5)
     13141   (eval echo "\"\$as_me:13141: $lt_compile\"" >&5)
    1311813142   (eval "$lt_compile" 2>out/conftest.err)
    1311913143   ac_status=$?
    1312013144   cat out/conftest.err >&5
    13121    echo "$as_me:13121: \$? = $ac_status" >&5
     13145   echo "$as_me:13145: \$? = $ac_status" >&5
    1312213146   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1312313147   then
     
    1468514709   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1468614710   -e 's:$: $lt_compiler_flag:'`
    14687    (eval echo "\"\$as_me:14687: $lt_compile\"" >&5)
     14711   (eval echo "\"\$as_me:14711: $lt_compile\"" >&5)
    1468814712   (eval "$lt_compile" 2>conftest.err)
    1468914713   ac_status=$?
    1469014714   cat conftest.err >&5
    14691    echo "$as_me:14691: \$? = $ac_status" >&5
     14715   echo "$as_me:14715: \$? = $ac_status" >&5
    1469214716   if (exit $ac_status) && test -s "$ac_outfile"; then
    1469314717     # The compiler can only warn and ignore the option if not recognized
     
    1478914813   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1479014814   -e 's:$: $lt_compiler_flag:'`
    14791    (eval echo "\"\$as_me:14791: $lt_compile\"" >&5)
     14815   (eval echo "\"\$as_me:14815: $lt_compile\"" >&5)
    1479214816   (eval "$lt_compile" 2>out/conftest.err)
    1479314817   ac_status=$?
    1479414818   cat out/conftest.err >&5
    14795    echo "$as_me:14795: \$? = $ac_status" >&5
     14819   echo "$as_me:14819: \$? = $ac_status" >&5
    1479614820   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1479714821   then
     
    1699617020   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1699717021   -e 's:$: $lt_compiler_flag:'`
    16998    (eval echo "\"\$as_me:16998: $lt_compile\"" >&5)
     17022   (eval echo "\"\$as_me:17022: $lt_compile\"" >&5)
    1699917023   (eval "$lt_compile" 2>conftest.err)
    1700017024   ac_status=$?
    1700117025   cat conftest.err >&5
    17002    echo "$as_me:17002: \$? = $ac_status" >&5
     17026   echo "$as_me:17026: \$? = $ac_status" >&5
    1700317027   if (exit $ac_status) && test -s "$ac_outfile"; then
    1700417028     # The compiler can only warn and ignore the option if not recognized
     
    1726417288   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1726517289   -e 's:$: $lt_compiler_flag:'`
    17266    (eval echo "\"\$as_me:17266: $lt_compile\"" >&5)
     17290   (eval echo "\"\$as_me:17290: $lt_compile\"" >&5)
    1726717291   (eval "$lt_compile" 2>conftest.err)
    1726817292   ac_status=$?
    1726917293   cat conftest.err >&5
    17270    echo "$as_me:17270: \$? = $ac_status" >&5
     17294   echo "$as_me:17294: \$? = $ac_status" >&5
    1727117295   if (exit $ac_status) && test -s "$ac_outfile"; then
    1727217296     # The compiler can only warn and ignore the option if not recognized
     
    1736817392   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1736917393   -e 's:$: $lt_compiler_flag:'`
    17370    (eval echo "\"\$as_me:17370: $lt_compile\"" >&5)
     17394   (eval echo "\"\$as_me:17394: $lt_compile\"" >&5)
    1737117395   (eval "$lt_compile" 2>out/conftest.err)
    1737217396   ac_status=$?
    1737317397   cat out/conftest.err >&5
    17374    echo "$as_me:17374: \$? = $ac_status" >&5
     17398   echo "$as_me:17398: \$? = $ac_status" >&5
    1737517399   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1737617400   then
     
    2035320377
    2035420378
     20379if test x$enable_loadable_library = xyes; then
     20380  case $build in
     20381    *-cygwin*)
     20382      HSL_SHARED_LIB=libhsl.dll
     20383      F77_SHARED_CMD='$(F77) -shared $(FFLAGS)'
     20384      case $F77 in
     20385        compile_f2c*)
     20386          EXPORT_SYMBOLS=
     20387          if test $coin_has_ma27ad = yes; then
     20388            EXPORT_SYMBOLS="$EXPORT_SYMBOLS ma27id_ ma27ad_ ma27bd_ ma27cd_"
     20389          fi
     20390          if test $coin_has_ma28ad = yes; then
     20391            EXPORT_SYMBOLS="$EXPORT_SYMBOLS ma28ad_"
     20392          fi
     20393          if test $coin_has_ma57ad = yes; then
     20394            EXPORT_SYMBOLS="$EXPORT_SYMBOLS ma57id_ ma57ad_ ma57bd_ ma57cd_ ma57ed_"
     20395          fi
     20396          if test $coin_has_mc19ad = yes; then
     20397            EXPORT_SYMBOLS="$EXPORT_SYMBOLS mc19ad_"
     20398          fi
     20399          F77_SHARED_CMD='$(F77) -shared $(FFLAGS) -def:$(DEFFILE)'
     20400          DEFFILE='Export.def'
     20401          ;;
     20402        ifort* | IFORT*)
     20403          EXPORT_SYMBOLS=
     20404          if test $coin_has_ma27ad = yes; then
     20405            EXPORT_SYMBOLS="$EXPORT_SYMBOLS MA27ID MA27AD MA27BD MA27CD"
     20406          fi
     20407          if test $coin_has_ma28ad = yes; then
     20408            EXPORT_SYMBOLS="$EXPORT_SYMBOLS MA28AD"
     20409          fi
     20410          if test $coin_has_ma57ad = yes; then
     20411            EXPORT_SYMBOLS="$EXPORT_SYMBOLS MA57ID MA57AD MA57BD MA57CD MA57ED"
     20412          fi
     20413          if test $coin_has_mc19ad = yes; then
     20414            EXPORT_SYMBOLS="$EXPORT_SYMBOLS MC19AD"
     20415          fi
     20416          DEFFILE='Export.def'
     20417          F77_SHARED_CMD='$(F77) $(FFLAGS)'
     20418          F77_DLL_LINKFLAGS='-link -dll -def:$(DEFFILE)'
     20419          ;;
     20420        *)
     20421          F77_SHARED_CMD='$(F77) -shared $(FFLAGS)'
     20422          ;;
     20423      esac
     20424      ;;
     20425  esac
     20426fi
     20427
     20428
     20429
     20430
     20431
     20432
     20433
     20434if test x$flag = xforce_shared; then
     20435  INSTALL_LOADABLE_LIBRARY_TRUE=
     20436  INSTALL_LOADABLE_LIBRARY_FALSE='#'
     20437else
     20438  INSTALL_LOADABLE_LIBRARY_TRUE='#'
     20439  INSTALL_LOADABLE_LIBRARY_FALSE=
     20440fi
     20441
     20442
     20443
     20444if test ! x"$DEFFILE" = x; then
     20445  NEED_DEFFILE_TRUE=
     20446  NEED_DEFFILE_FALSE='#'
     20447else
     20448  NEED_DEFFILE_TRUE='#'
     20449  NEED_DEFFILE_FALSE=
     20450fi
     20451
     20452
     20453
     20454
     20455if test ! x"$F77_SHARED_CMD" = x; then
     20456  EXTRA_SHARED_COMMAND_TRUE=
     20457  EXTRA_SHARED_COMMAND_FALSE='#'
     20458else
     20459  EXTRA_SHARED_COMMAND_TRUE='#'
     20460  EXTRA_SHARED_COMMAND_FALSE=
     20461fi
     20462
     20463#AM_CONDITIONAL([EXTRA_SHARED_COMMAND],[test "$F77_SHARED_CMD" = x])
     20464
    2035520465#############################################################################
    2035620466#                              Write the output                             #
     
    2060620716Usually this means the macro was only invoked conditionally." >&5
    2060720717echo "$as_me: error: conditional \"COIN_HAS_MA28\" was never defined.
     20718Usually this means the macro was only invoked conditionally." >&2;}
     20719   { (exit 1); exit 1; }; }
     20720fi
     20721if test -z "${INSTALL_LOADABLE_LIBRARY_TRUE}" && test -z "${INSTALL_LOADABLE_LIBRARY_FALSE}"; then
     20722  { { echo "$as_me:$LINENO: error: conditional \"INSTALL_LOADABLE_LIBRARY\" was never defined.
     20723Usually this means the macro was only invoked conditionally." >&5
     20724echo "$as_me: error: conditional \"INSTALL_LOADABLE_LIBRARY\" was never defined.
     20725Usually this means the macro was only invoked conditionally." >&2;}
     20726   { (exit 1); exit 1; }; }
     20727fi
     20728if test -z "${NEED_DEFFILE_TRUE}" && test -z "${NEED_DEFFILE_FALSE}"; then
     20729  { { echo "$as_me:$LINENO: error: conditional \"NEED_DEFFILE\" was never defined.
     20730Usually this means the macro was only invoked conditionally." >&5
     20731echo "$as_me: error: conditional \"NEED_DEFFILE\" was never defined.
     20732Usually this means the macro was only invoked conditionally." >&2;}
     20733   { (exit 1); exit 1; }; }
     20734fi
     20735if test -z "${EXTRA_SHARED_COMMAND_TRUE}" && test -z "${EXTRA_SHARED_COMMAND_FALSE}"; then
     20736  { { echo "$as_me:$LINENO: error: conditional \"EXTRA_SHARED_COMMAND\" was never defined.
     20737Usually this means the macro was only invoked conditionally." >&5
     20738echo "$as_me: error: conditional \"EXTRA_SHARED_COMMAND\" was never defined.
    2060820739Usually this means the macro was only invoked conditionally." >&2;}
    2060920740   { (exit 1); exit 1; }; }
     
    2124021371s,@COIN_HAS_MA28_TRUE@,$COIN_HAS_MA28_TRUE,;t t
    2124121372s,@COIN_HAS_MA28_FALSE@,$COIN_HAS_MA28_FALSE,;t t
     21373s,@F77_SHARED_CMD@,$F77_SHARED_CMD,;t t
     21374s,@F77_DLL_LINKFLAGS@,$F77_DLL_LINKFLAGS,;t t
     21375s,@HSL_SHARED_LIB@,$HSL_SHARED_LIB,;t t
     21376s,@EXPORT_SYMBOLS@,$EXPORT_SYMBOLS,;t t
     21377s,@DEFFILE@,$DEFFILE,;t t
     21378s,@INSTALL_LOADABLE_LIBRARY_TRUE@,$INSTALL_LOADABLE_LIBRARY_TRUE,;t t
     21379s,@INSTALL_LOADABLE_LIBRARY_FALSE@,$INSTALL_LOADABLE_LIBRARY_FALSE,;t t
     21380s,@NEED_DEFFILE_TRUE@,$NEED_DEFFILE_TRUE,;t t
     21381s,@NEED_DEFFILE_FALSE@,$NEED_DEFFILE_FALSE,;t t
     21382s,@EXTRA_SHARED_COMMAND_TRUE@,$EXTRA_SHARED_COMMAND_TRUE,;t t
     21383s,@EXTRA_SHARED_COMMAND_FALSE@,$EXTRA_SHARED_COMMAND_FALSE,;t t
    2124221384s,@LIBEXT@,$LIBEXT,;t t
    2124321385s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
  • ThirdParty/HSL/trunk/configure.ac

    r579 r945  
    4242AC_CANONICAL_BUILD
    4343
    44 #turn off warnings and pedantic mode since they could make trouble on some platforms,
    45 #and we couldn't fix them anyway
     44# turn off warnings and pedantic mode since they could make trouble on some platforms,
     45# and we couldn't fix them anyway
    4646coin_skip_warn_fflags=yes
     47
     48# provide flag to allow compilation of a stand-alone shared library
     49AC_ARG_ENABLE([loadable-library],
     50[AC_HELP_STRING([--enable-loadable-library],
     51                [compile stand-alone shared library for delayed loading])])
    4752
    4853# Check if user wants to produce debugging code
     
    5964
    6065# Initialize autotools
    61 AC_COIN_INIT_AUTO_TOOLS
     66
     67if test x$enable_loadable_library = xyes; then
     68  flag=force_shared
     69fi
     70AC_COIN_INIT_AUTO_TOOLS([$flag])
    6271
    6372#############################################################################
     
    8695MY_CHECK_HSLFILE(ma28ad,MA28)
    8796
     97if test x$enable_loadable_library = xyes; then
     98  case $build in
     99    *-cygwin*)
     100      HSL_SHARED_LIB=libhsl.dll
     101      F77_SHARED_CMD='$(F77) -shared $(FFLAGS)'
     102      case $F77 in
     103        compile_f2c*)
     104          EXPORT_SYMBOLS=
     105          if test $coin_has_ma27ad = yes; then
     106            EXPORT_SYMBOLS="$EXPORT_SYMBOLS ma27id_ ma27ad_ ma27bd_ ma27cd_"
     107          fi
     108          if test $coin_has_ma28ad = yes; then
     109            EXPORT_SYMBOLS="$EXPORT_SYMBOLS ma28ad_"
     110          fi
     111          if test $coin_has_ma57ad = yes; then
     112            EXPORT_SYMBOLS="$EXPORT_SYMBOLS ma57id_ ma57ad_ ma57bd_ ma57cd_ ma57ed_"
     113          fi
     114          if test $coin_has_mc19ad = yes; then
     115            EXPORT_SYMBOLS="$EXPORT_SYMBOLS mc19ad_"
     116          fi
     117          F77_SHARED_CMD='$(F77) -shared $(FFLAGS) -def:$(DEFFILE)'
     118          DEFFILE='Export.def'
     119          ;;
     120        ifort* | IFORT*)
     121          EXPORT_SYMBOLS=
     122          if test $coin_has_ma27ad = yes; then
     123            EXPORT_SYMBOLS="$EXPORT_SYMBOLS MA27ID MA27AD MA27BD MA27CD"
     124          fi
     125          if test $coin_has_ma28ad = yes; then
     126            EXPORT_SYMBOLS="$EXPORT_SYMBOLS MA28AD"
     127          fi
     128          if test $coin_has_ma57ad = yes; then
     129            EXPORT_SYMBOLS="$EXPORT_SYMBOLS MA57ID MA57AD MA57BD MA57CD MA57ED"
     130          fi
     131          if test $coin_has_mc19ad = yes; then
     132            EXPORT_SYMBOLS="$EXPORT_SYMBOLS MC19AD"
     133          fi
     134          DEFFILE='Export.def'
     135          F77_SHARED_CMD='$(F77) $(FFLAGS)'
     136          F77_DLL_LINKFLAGS='-link -dll -def:$(DEFFILE)'
     137          ;;
     138        *)
     139          F77_SHARED_CMD='$(F77) -shared $(FFLAGS)'
     140          ;;
     141      esac
     142      ;;
     143  esac
     144fi
     145AC_SUBST(F77_SHARED_CMD)
     146AC_SUBST(F77_DLL_LINKFLAGS)
     147AC_SUBST(HSL_SHARED_LIB)
     148AC_SUBST(EXPORT_SYMBOLS)
     149AC_SUBST(DEFFILE)
     150AM_CONDITIONAL([INSTALL_LOADABLE_LIBRARY],[test x$flag = xforce_shared])
     151AM_CONDITIONAL([NEED_DEFFILE], [test ! x"$DEFFILE" = x])
     152
     153AM_CONDITIONAL([EXTRA_SHARED_COMMAND],[test ! x"$F77_SHARED_CMD" = x])
     154#AM_CONDITIONAL([EXTRA_SHARED_COMMAND],[test "$F77_SHARED_CMD" = x])
     155
    88156#############################################################################
    89157#                              Write the output                             #
Note: See TracChangeset for help on using the changeset viewer.